<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
var myMixin = {
  data(){
    return{
      msg:'Mixin'
    }
  },
  created: function () {
    this.hello();
    console.log('1混入中的钩子函数');
    this.mixin();
  },
  methods: {
    hello: function () {
      console.log('hello from mixin!')
    },
    mixin(){
      console.log('混入中的对象');
    }
  }
}
export default {
  name: 'App',
  mixins:[myMixin],
  data(){
    return{
      msg:'App'
    }
  },
  created(){
    console.log(this.msg);
    console.log('2组件中的钩子函数');
    this.mixin();
    this.hello();
  },
  methods:{
    mixin(){
      console.log('组件中的对象');
    }
  }
}
</script>



<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
